package com.gci.boot.common.log.annotation;

import com.gci.boot.constant.CommonConstant;

import java.lang.annotation.*;

/**
 * 系统日志注解
 *
 */
@Target(ElementType.METHOD)
@Retention(RetentionPolicy.RUNTIME)
@Documented
public @interface AddSysLog {

	/**
	 * 日志内容
	 * 
	 * @return
	 */
	String value() default "";

	/**
	 * 日志类型
	 * 
	 * @return 1:登录日志;2:操作日志;
	 */
	int logType() default CommonConstant.LOG_TYPE_OP;
	
	/**
	 * 操作日志类型
	 * 
	 * @return （1查询，2添加，3修改，4删除，5导入，6导出）
	 */
	int operateType() default 0;
	/**
	 * 日志来源
	 */
	String logSource() default "PC";
}